Get taskGET

Description

Returns a single task by ID.

Permissions

The API token needs All data read access.

Query parameters

includePosition: Include the task's position in the column/swimlane it is in.

Request format

curl https://kanbanflow.com/api/v1/tasks/<TASK_ID>

Example request

curl https://kanbanflow.com/api/v1/tasks/T3s6UGyzY

Example response

{
    "_id": "T3s6UGyzY",
    "name": "Write report",
    "description": "",
    "color": "red",
    "columnId": "C9LIn5sEEpqT",
    "createdTimestamp": "2023-12-31T20:00:00.000Z"
}

Response properties

PropertyTypeComment
_idStringThe ID of the task.
nameStringThe name of the task.
columnIdStringThe ID of the column the task is in.
swimlaneIdStringThe ID of the swimlane the task is in. Only included if the board has swimlanes.
positionIntegerThe index of the task in the column/swimlane or date group. Only included if includePosition is set. Note: The index is zero-based.
descriptionStringThe description of the task.
colorStringThe color of the task. Possible color values: yellow, white, red, green, blue, purple, orange, cyan, brown, or magenta.
numberObjectThe task number consists of an integer value and an optional prefix. Examples: { "value": 5 }, { "prefix": "BUG-", "value": 5 }
responsibleUserIdStringThe ID of the responsible user. See Get members for information about how to see which member an ID belongs to.
totalSecondsSpentIntegerThe total number of seconds spent on the task. Examples: 1 hour = 3600, 2 hours = 7200 etc.
totalSecondsEstimateIntegerThe total number of seconds estimated for the task. Examples: 1 hour = 3600, 2 hours = 7200 etc. Only included if estimation unit is set to Time.
pointsEstimateFloatEstimated points for the task. Only included if estimation unit is set to Points.
groupingDateStringThe date that the task is grouped by. Only included if the column the task is in is date grouped. Format is YYYY-MM-DD. Example: 2023-12-31.
datesArrayThe dates of the task. Only included if there are any items. See Get dates for details.
subTasksArrayThe subtasks of the task. Only included if there are any items. See Get subtasks for details.
labelsArrayThe labels of the task. Only included if there are any items. See Get labels for details.
collaboratorsArrayThe collaborators of the task. Only included if there are any items. See Get collaborators for details.
customFieldsArrayThe custom fields of the task. Only included if there are any items. See Get task custom fields for details.
timelineObjectThe timeline of the task. Only included if set. Consists of a start and an end date. Format is YYYY-MM-DD. Example: { "start": "2024-01-01", "end": "2024-01-31" }
createdTimestampStringThe UTC timestamp when the task was created, for example 2023-12-31T20:00:00.000Z.